package com.ssj.service.kmt.exercisesys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author Mount Liu
 * @date 2020/4/14
 */
public class ExerciseListReq extends BaseRequest {

    private static final long serialVersionUID = 6011152528578070581L;

    @ApiModelProperty(name = "pageNo", value = "页码", required = true)
    private Integer pageNo;

    @ApiModelProperty(name = "pageSize", value = "每页记录数", required = true)
    private Integer pageSize;

    @ApiModelProperty(name = "progress", value = "进度", required = true)
    private String progress;

    @ApiModelProperty(name = "subject", value = "科目", required = true)
    private String subject;

    @ApiModelProperty(name = "grade", value = "年级", required = true)
    private String grade;

    @ApiModelProperty(name = "bookName", value = "练习册名字", required = true)
    private String bookName;

    @ApiModelProperty(name = "versionName", value = "版本名称", required = true)
    private String versionName;

    @ApiModelProperty(name = "semester", value = "1上册，2下册", required = true)
    private Integer semester;

    @ApiModelProperty(name = "bookType", value = "0整本，1上半，2下半，3不同", required = true)
    private Integer bookType;

    @ApiModelProperty(name = "bookYear", value = "使用年份", required = true)
    private Integer bookYear;

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public Integer getSemester() {
        return semester;
    }

    public void setSemester(Integer semester) {
        this.semester = semester;
    }

    public Integer getBookType() {
        return bookType;
    }

    public void setBookType(Integer bookType) {
        this.bookType = bookType;
    }

    public Integer getBookYear() {
        return bookYear;
    }

    public void setBookYear(Integer bookYear) {
        this.bookYear = bookYear;
    }

    public String getProgress() {
        return progress;
    }

    public void setProgress(String progress) {
        this.progress = progress;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

}
